# $Revision: 1.5 $, $Date: 2005/09/06 20:32:15 $
Summary:	Simple image viewer for GNUstep
Summary(pl):	Prosta przegldarka obrazkw dla rodowiska GNUstep
Name:		PhotoClip
Version:	0.2.2
Release:	3
License:	GPL
Group:		X11/Applications/Graphics
Source0:	http://www.vaisburd.net/PhotoClip/%{name}-%{version}.tar.gz
# Source0-md5:	b4af33ab977cafb352b68005183174d9
URL:		http://www.vaisburd.net/PhotoClip/
BuildRequires:	gnustep-gui-devel >= 0.8.7
Requires:	gnustep-gui >= 0.8.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/%{_lib}/GNUstep

%define		libcombo	gnu-gnu-gnu
%define		gsos		linux-gnu
%ifarch %{ix86}
%define		gscpu		ix86
%else
# also s/alpha.*/alpha/, but we use only "alpha" arch for now
%define		gscpu		%(echo %{_target_cpu} | sed -e 's/amd64/x86_64/;s/ppc/powerpc/')
%endif

%description
This is PhotoClip, a simple image viewer application for GNUstep.

%description -l pl
To jest PhotoClip - prosta przegldarka obrazkw dla rodowiska
GNUstep.

%prep
%setup -q -n %{name}

%build
. %{_prefix}/System/Library/Makefiles/GNUstep.sh
%{__make} \
	OPTFLAG="%{rpmcflags}" \
	messages=yes

%install
rm -rf $RPM_BUILD_ROOT
. %{_prefix}/System/Library/Makefiles/GNUstep.sh

%{__make} install \
	GNUSTEP_INSTALLATION_DIR=$RPM_BUILD_ROOT%{_prefix}/System

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%dir %{_prefix}/System/Applications/PhotoClip.app
%attr(755,root,root) %{_prefix}/System/Applications/PhotoClip.app/PhotoClip
%dir %{_prefix}/System/Applications/PhotoClip.app/Resources
%{_prefix}/System/Applications/PhotoClip.app/Resources/*.desktop
%{_prefix}/System/Applications/PhotoClip.app/Resources/*.plist
%{_prefix}/System/Applications/PhotoClip.app/Resources/*.tiff
%dir %{_prefix}/System/Applications/PhotoClip.app/%{gscpu}
%dir %{_prefix}/System/Applications/PhotoClip.app/%{gscpu}/%{gsos}
%dir %{_prefix}/System/Applications/PhotoClip.app/%{gscpu}/%{gsos}/%{libcombo}
%attr(755,root,root) %{_prefix}/System/Applications/PhotoClip.app/%{gscpu}/%{gsos}/%{libcombo}/PhotoClip
%{_prefix}/System/Applications/PhotoClip.app/%{gscpu}/%{gsos}/%{libcombo}/*.openapp

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: PhotoClip.spec,v $
Revision 1.5  2005/09/06 20:32:15  arekm
- rel 3

Revision 1.4  2004/11/07 21:47:37  havner
- [mass commit] rel up for rebuild

Revision 1.3  2004/10/31 22:36:06  paladine
- spaces->tabs
- formatting

Revision 1.2  2004/07/05 18:24:46  qboosh
- updated to 0.2.2, fixed build on amd64

Revision 1.1  2003/10/15 04:53:48  aredridel
- added
